/**
* 2007-2023 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2023 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/
(function() {
  'use strict';
  window.addEventListener('load', function() {

  	//Simple form validation for the settings page
  	//Prestashop adds the visual indication for required fields, but the "novalidate" attribute is added
  	//to the form element, preventing the native browser behaviour.
  	var $formSettings = $('#module_form');
  	if ($formSettings.length) {
  		$formSettings.on('submit', function(event){

  			//Prestashop appears to be using bootstrap 3 in legacy pages
  			$('.input-group', $formSettings).each(function(index, group){
  				var hasValue = $('input[type="text"]', $(group)).val().length > 0;
  				if (hasValue) {
  					$(group).removeClass('has-error');
  				} else {
  					$(group).addClass('has-error');
  				}
  			});

  			//Prevent submit if has errors
  			if ($formSettings[0].checkValidity() === false) {
  			  	event.preventDefault();
  			  	event.stopPropagation();
  			  	return false;
  			}
  		});
  	}
  });
})();