{*
* 2007-2023 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2023 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}
{extends file='page.tpl'}
{block name='page_content'}
<style>
	.waylet-error-back {
		text-align: center;
		background-color: #fff;
		margin: 2em auto;
		max-width: 600px;
		border: 1px solid #ccc;
		padding: 30px 20px;
		border-radius: 12px;
	}
	.waylet-error-back h3 {
		margin-bottom: 25px;
	}
</style>
<div class="waylet-error-back">
	{if isset($waylet_logo_url)}
		<p class="text-center"><img src="{$waylet_logo_url|escape:'htmlall':'UTF-8'}" alt="Waylet"></p>
	{/if}
	<h3 class="text-danger">{l s='There was a problem with the payment' mod='waylet'}</h3>
	<p>{l s='The payment could not be made with Waylet. You can go back to your order and try again.' mod='waylet'}</p>
	<br>
	{if isset($return_btn_link)}
		<p><a class="btn btn-primary" href="{$return_btn_link}">
				{l s='Back to the order' mod='waylet'}
		</a></p>
	{/if}
</div>
{/block}